| Exiv2

Loading...
Searching...
No Matches
List of all members
Exiv2::Internal::TiffFinder Class Reference

Search the composite for a component with tag and group. Return a pointer to the component or 0, if not found. The class is ready for a first search after construction and can be re-initialized with init(). More...

`#include <tiffvisitor_int.hpp>`

Inheritance diagram for Exiv2::Internal::TiffFinder:
[legend]

## Public Member Functions
Creators
constexpr | TiffFinder (uint16_t tag, IfdId group)
| Constructor, taking tag and group of the component to find.
| TiffFinder (const TiffFinder &)=delete
TiffFinder & | operator= (const TiffFinder &)=delete
| ~TiffFinder () override=default
| Virtual destructor.
Manipulators
void | visitEntry (TiffEntry *object) override
| Find tag and group in a TIFF entry.
void | visitDataEntry (TiffDataEntry *object) override
| Find tag and group in a TIFF data entry.
void | visitImageEntry (TiffImageEntry *object) override
| Find tag and group in a TIFF image entry.
void | visitSizeEntry (TiffSizeEntry *object) override
| Find tag and group in a TIFF size entry.
void | visitDirectory (TiffDirectory *object) override
| Find tag and group in a TIFF directory.
void | visitSubIfd (TiffSubIfd *object) override
| Find tag and group in a TIFF sub-IFD.
void | visitMnEntry (TiffMnEntry *object) override
| Find tag and group in a TIFF makernote.
void | visitIfdMakernote (TiffIfdMakernote *object) override
| Find tag and group in an IFD makernote.
void | visitBinaryArray (TiffBinaryArray *object) override
| Find tag and group in a binary array.
void | visitBinaryElement (TiffBinaryElement *object) override
| Find tag and group in an element of a binary array.
void | findObject (TiffComponent *object)
| Check if object matches tag and group.
void | init (uint16_t tag, IfdId group)
| Initialize the Finder for a new search.
Public Member Functions inherited from Exiv2::Internal::TiffVisitor
virtual | ~TiffVisitor ()=default
| Virtual destructor.
void | setGo (GoEvent event, bool go)
| Set the stop/go flag: true for go, false for stop.
virtual void | visitDirectoryNext (TiffDirectory *object)
| Operation to perform for a TIFF directory, after all components and before the next entry is processed.
virtual void | visitDirectoryEnd (TiffDirectory *object)
| Operation to perform for a TIFF directory, at the end of the processing.
virtual void | visitIfdMakernoteEnd (TiffIfdMakernote *object)
| Operation to perform after processing an IFD makernote.
virtual void | visitBinaryArrayEnd (TiffBinaryArray *object)
| Operation to perform for a TIFF binary array, at the end of the processing.
bool | go (GoEvent event) const
| Check if stop flag for event is clear, return true if it's clear.

## Accessors
TiffComponent * | result () const
| Return the search result. 0 if no TIFF component was found for the tag and group combination.

## Additional Inherited Members
Public Types inherited from Exiv2::Internal::TiffVisitor
enum | GoEvent { geTraverse = 0 , geKnownMakernote = 1 }
| Events for the stop/go flag. See setGo(). More...

## Detailed Description

Search the composite for a component with tag and group. Return a pointer to the component or 0, if not found. The class is ready for a first search after construction and can be re-initialized with init().

## Member Function Documentation

## ◆ visitBinaryArray()

void Exiv2::Internal::TiffFinder::visitBinaryArray | ( | TiffBinaryArray * | object | ) |
| override virtual

Find tag and group in a binary array.

Implements Exiv2::Internal::TiffVisitor.

References findObject().

## ◆ visitBinaryElement()

void Exiv2::Internal::TiffFinder::visitBinaryElement | ( | TiffBinaryElement * | object | ) |
| override virtual

Find tag and group in an element of a binary array.

Implements Exiv2::Internal::TiffVisitor.

References findObject().

## ◆ visitDataEntry()

void Exiv2::Internal::TiffFinder::visitDataEntry | ( | TiffDataEntry * | object | ) |
| override virtual

Find tag and group in a TIFF data entry.

Implements Exiv2::Internal::TiffVisitor.

References findObject().

## ◆ visitDirectory()

void Exiv2::Internal::TiffFinder::visitDirectory | ( | TiffDirectory * | object | ) |
| override virtual

Find tag and group in a TIFF directory.

Implements Exiv2::Internal::TiffVisitor.

References findObject().

## ◆ visitEntry()

void Exiv2::Internal::TiffFinder::visitEntry | ( | TiffEntry * | object | ) |
| override virtual

Find tag and group in a TIFF entry.

Implements Exiv2::Internal::TiffVisitor.

References findObject().

## ◆ visitIfdMakernote()

void Exiv2::Internal::TiffFinder::visitIfdMakernote | ( | TiffIfdMakernote * | object | ) |
| override virtual

Find tag and group in an IFD makernote.

Implements Exiv2::Internal::TiffVisitor.

References findObject().

## ◆ visitImageEntry()

void Exiv2::Internal::TiffFinder::visitImageEntry | ( | TiffImageEntry * | object | ) |
| override virtual

Find tag and group in a TIFF image entry.

Implements Exiv2::Internal::TiffVisitor.

References findObject().

## ◆ visitMnEntry()

void Exiv2::Internal::TiffFinder::visitMnEntry | ( | TiffMnEntry * | object | ) |
| override virtual

Find tag and group in a TIFF makernote.

Implements Exiv2::Internal::TiffVisitor.

References findObject().

## ◆ visitSizeEntry()

void Exiv2::Internal::TiffFinder::visitSizeEntry | ( | TiffSizeEntry * | object | ) |
| override virtual

Find tag and group in a TIFF size entry.

Implements Exiv2::Internal::TiffVisitor.

References findObject().

## ◆ visitSubIfd()

void Exiv2::Internal::TiffFinder::visitSubIfd | ( | TiffSubIfd * | object | ) |
| override virtual

Find tag and group in a TIFF sub-IFD.

Implements Exiv2::Internal::TiffVisitor.

References findObject().

The documentation for this class was generated from the following files:

- tiffvisitor_int.hpp
- tiffvisitor_int.cpp